<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <RootNamespace>adas_core.Application</RootNamespace>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
        <Folder Include="Repositories\" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\adas-core.Domain\adas-core.Domain.csproj" />
    </ItemGroup>

    <ItemGroup>

        <PackageReference Include="AuditLogs" Version="1.0.59" />

        <PackageReference Include="AutoMapper" Version="16.1.1" />

        <PackageReference Include="Microsoft.CodeAnalysis.Analyzers" Version="5.3.0">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>

        <PackageReference Include="Microsoft.CodeAnalysis.CSharp.Scripting" Version="5.3.0" />

        <PackageReference Include="Microsoft.Extensions.Caching.Memory" Version="10.0.9" />

        <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="10.0.9" />
        <PackageReference Include="Microsoft.Extensions.Http" Version="10.0.9" />
        <PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="10.0.9" />
        <PackageReference Include="Microsoft.Extensions.Options" Version="10.0.9" />
        <PackageReference Include="Microsoft.IdentityModel.JsonWebTokens" Version="8.19.1" />
        <PackageReference Include="MongoDB.Driver" Version="3.9.0" />
        <PackageReference Include="Quartz" Version="3.18.1" />
        <PackageReference Include="StackExchange.Redis" Version="3.0.0" />
        <PackageReference Include="System.Text.Json" Version="10.0.9" />
    </ItemGroup>

    <ItemGroup>
        <Reference Include="Microsoft.AspNetCore.Http.Features">
            <HintPath>..\..\..\..\..\..\..\Program Files\dotnet\shared\Microsoft.AspNetCore.App\7.0.10\Microsoft.AspNetCore.Http.Features.dll</HintPath>
        </Reference>
    </ItemGroup>

</Project>
